/*
 * @Author: ysh
 * @Date: 2025-03-06 15:40:47
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-03-13 17:09:09
 */
import request from '@/utils/request'

// 查询cmc学习记录列表
export function listStudy(query) {
  return request({
    url: '/oa/study/list',
    method: 'get',
    params: query
  })
}
// 查询cmc学习记录统计
export function getStudyStatistic(query) {
  return request({
    url: '/oa/study/statistic',
    method: 'get',
    params: query
  })
}

// 查询cmc学习记录详细
export function getStudy(studyId) {
  return request({
    url: '/oa/study/' + studyId,
    method: 'get'
  })
}

// 新增cmc学习记录
export function addStudy(data) {
  return request({
    url: '/oa/study',
    method: 'post',
    data: data
  })
}

// 修改cmc学习记录
export function updateStudy(data) {
  return request({
    url: '/oa/study',
    method: 'put',
    data: data
  })
}

// 删除cmc学习记录
export function delStudy(studyId) {
  return request({
    url: '/oa/study/' + studyId,
    method: 'delete'
  })
}
